RHAP_REP_TEMPLATE
"Show all packages that have object model diagrams.  For each package display all the object model diagrams and classes within the package.  For each class show its attributes, operations, and associations."
{
version=
{
template=
{
major=2,
minor=0
},
metameta=
{
major=1,
minor=6
},
metamodel=
{
kind="rhapsody",
major=2,
minor=3
}
},
properties=
{
name="",
named_values=[]
},
documents=
[
{
label="",
description="",
preferred_document_type="",
defaults=
{
no_model_data_text=
[
TEXT "<<No Model Data>>"
],
skip_preceding?=false,
skip_following?=false,
omit_if_no_iteration_data?=true,
alternate_text_only?=true,
alternate_title=
[
TEXT "<<No Model Data>>"
],
alternate_text=
[
TEXT "<<No Model Data>>"
],
named_values=[]
},
document_options=
[
{
type="Word",
options=
[

]
},
{
type="PowerPoint",
options=
[

]
},
{
type="Html",
options=
[

]
}
],
named_values=[],
nodes=
[
ITERATION 
{
label="Document all packages with object model diagrams",
description="This documents all packages containing object model diagrams.  For each package, this shows the object model diagrams and then documents the classes.",
iteration=
{
source=CLASS "Project",
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
JUSTIFICATION CENTERED,
FONT BOLD? true,
FONT ITALIC? true,
FONT_SIZE
[
TEXT "18"
],
TEXT "MetaModel Report for Model ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
FONT BOLD? false,
FONT ITALIC? false,
FONT_SIZE
[
TEXT "10"
],
LINE_BREAK
]
],
nodes=
[
TEXT 
{
label="Print name and documentation",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
JUSTIFICATION CENTERED,
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
JUSTIFICATION LEFT_ALIGNED,
PAGE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Document object model diagrams",
description="This documents the object model diagrams in the current package.",
iteration=
{
source=ASSOCIATION
{
expr="objectModelDiagrams",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Object Model Diagrams",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print name, documentation, and diagram",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Diagram: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "Unnamed"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Documentation: ",
ATTRIBUTE
{
expr="$documentation",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT "No documentation"
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
],
COMPOSITE
[
IMAGE_HYPERLINK
{
filename=
[
ATTRIBUTE "$path"
],
location=
[

]
}
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Document classes",
description="This documents the classes in the current package.",
iteration=
{
source=ASSOCIATION
{
expr="[containedPackages]->[classes]",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Classes",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print name and documentation",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Class: ",
ATTRIBUTE
{
expr="$name",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
FONT BOLD? true,
TEXT "Documentation:",
FONT BOLD? false,
TEXT " ",
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=SKIP,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[
ITERATION 
{
label="Document attributes",
description="This documents the attributes of the current class.",
iteration=
{
source=ASSOCIATION
{
expr="attribute",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Attributes",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print name and documentation",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$name + (if $name of [type] <> \"\" then  \" : \" + $name of [type] else \"\")",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
ATTRIBUTE
{
expr="$documentation",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
},
ITERATION 
{
label="Document operations",
description="This documents the operations of the current class.",
iteration=
{
source=ASSOCIATION
{
expr="operation",
subclass=""
},
condition=NONE,
sort=[],
recursive?=false,
separator=[],
no_iteration_data=DEFAULT,
table?=false,
create_refs?=true
},
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Operations",
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
]
],
nodes=
[
TEXT 
{
label="Print signature and documentation",
description="",
heading=
[
COMPOSITE
[
STYLE "AutoHeading"
],
COMPOSITE
[
TEXT "Name: ",
ATTRIBUTE
{
expr="$signature",
no_attribute_data=NONE
},
LINE_BREAK
]
],
body=
[
COMPOSITE
[
STYLE "AutoNormal"
],
COMPOSITE
[
TEXT "Documentation:  ",
ATTRIBUTE
{
expr="$descriptionHTML",
no_attribute_data=SOME
{
alternate_text=TEXT
[
TEXT ""
],
preceding_text=DEFAULT,
following_text=DEFAULT
}
},
LINE_BREAK
]
],
nodes=
[

]
}
]
}
]
}
]
}
]
}
]
}
]
}
]
}
